//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CMISdemoProject.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblDepartmentMaster
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public tblDepartmentMaster()
        {
            this.TblOrderEntryTests = new HashSet<TblOrderEntryTest>();
            this.TblOrderRelatedToMappingTests = new HashSet<TblOrderRelatedToMappingTest>();
        }
    
        public int DepartmentId { get; set; }
        public Nullable<int> DepartmentCode_old { get; set; }
        public string DepartmentTitle { get; set; }
        public string DepartmentTitleHindi { get; set; }
        public string DepartmentShortTitle { get; set; }
        public string DepartmentShortTitleHindi { get; set; }
        public string DepartmentAddress { get; set; }
        public string DepartmentAddressHindi { get; set; }
        public Nullable<int> DepartmentSerialNo { get; set; }
        public Nullable<int> DepartmentPrintOrder { get; set; }
        public Nullable<int> Department_DistrictCode { get; set; }
        public Nullable<int> Department_AdmDepartmentCode_old { get; set; }
        public Nullable<int> Department_GroupCode_old { get; set; }
        public Nullable<int> Department_DepartmentGroupCode_old { get; set; }
        public string DepartmentEmail { get; set; }
        public string DepartmentMobile { get; set; }
        public Nullable<bool> DepartmentIsActive { get; set; }
        public Nullable<bool> DepartmentIsDeleted { get; set; }
        public string DEPTM_ID_TEXT { get; set; }
        public string DEPTM_SELECTION { get; set; }
        public string DEPTM_MANIFESTO { get; set; }
        public string DEPTM_MANIFESTO_SECTOR { get; set; }
        public Nullable<int> DEPTM_CATG_CD { get; set; }
        public Nullable<int> DepartmentCode { get; set; }
        public Nullable<int> Department_AdmDepartmentCode { get; set; }
        public Nullable<int> Department_GroupCode { get; set; }
        public Nullable<int> Department_DepartmentGroupCode { get; set; }
        public string officername { get; set; }
        public string officerdesignation { get; set; }
        public string officeremail { get; set; }
        public string officerofficermobile { get; set; }
        public string officerofficerphone { get; set; }
        public string staffname1 { get; set; }
        public string staff1designation { get; set; }
        public string staff1email { get; set; }
        public string staff1mobile { get; set; }
        public string staff1phone { get; set; }
        public string staffname2 { get; set; }
        public string staff2designation { get; set; }
        public string staff2email { get; set; }
        public string staff2mobile { get; set; }
        public string staff2phone { get; set; }
        public string CMISDeptID { get; set; }
        public string DepartmentNodalOfficer { get; set; }
        public string Mobileno1 { get; set; }
        public string Mobileno2 { get; set; }
        public string Email1 { get; set; }
        public string Email2 { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<TblOrderEntryTest> TblOrderEntryTests { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<TblOrderRelatedToMappingTest> TblOrderRelatedToMappingTests { get; set; }
    }
}
